16.101.X [Pre-GCN driver pack]

Discussion in 'Videocards - AMD Radeon Drivers Section' started by user1, Jul 28, 2016.

  1. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    Is there any particular reason you want to use vista? win7 is much better supported and essentially has the same features + improvements. secondly you can always use the official drivers for vista, you will probably wont notice any differences.
     
  2. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    I want to fool around with the Vista extended kernel, and would prefer the newest drivers, as I've been able to get newer games running on Vista with the extended kernel.
     
  3. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    pretty weird, well if you really want to do it, all you usually have to do to make a win7 driver install on vista(since they are largely identical) is to change the win NT version to 6.0(vista) from 6.1(win7) in the inf file.
     
  4. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    It's already set to 6.0, I just think the parts of the .inf for my GPU are missing, but when I tried adding them, it just didn't work
     

  5. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    i see you mentioned this
    dont ever do this generally, the inf structure can change quite alot between branches, , i recommend taking the stock inf, and just adding your device ids and changing the nt version, that will give you the best chance of success.
     
  6. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    There was nothing relating to ati2mtag_NI in the driver, so that's why I added it
     
  7. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    I see, The main issue is that if the driver is stripped of references that means most sections have to be edited. usually references are only stripped if its an oem driver.

    If i were you what i would try is using the 15.11 catalyst driver (here), and just changing the nt version, give that a shot, then try doing the same on older retail drivers which already have inf support for your gpu if it doesn't work, there isn't much reason to use OEM drivers unless you have no other options, it just makes things complicated.
     
  8. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    Everything above 15.7 doesn't work on Vista, even this driver requires dll mods. This though is confirmed to work stably, unlike 15.6, which only somewhat works with dll mods.
     
  9. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    that sounds unlikely, my guess is that you probably need some dlls from win7 for it to work correctly(replacement vs modification), either way sounds like its just a big mess, thats my recommendation just try each retail version instead of the the weird oem driver until you find one that works and stick with that.
     
  10. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    The 15.100 driver includes the needed dlls for the mod, and I'd rather not be stuck with a driver significantly over a year older. (Last official Vista driver was from 2013)
     

  11. user1

    user1 Ancient Guru

    Messages:
    1,616
    Likes Received:
    551
    GPU:
    hd 6870
    Well have fun with that inf file then. I dont use windows anymore, so i can't really help you the way you want.

    If you want pointers, you could probably take an inf from one of the packs i made and compare it to the stock driver inf16.101), and see what changes need to be be made.
     
  12. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    I have looked at the drivers again, and found ati2mtag_NICaymanGL, I think I'll try modding it to be more like ati2mtag_NI, and try installing it once I'm booted back into Vista.
     
  13. asdf2345

    asdf2345 Member

    Messages:
    10
    Likes Received:
    0
    GPU:
    GeForce GTX 970 4GB
    Got it working by modding the NICaymalGL item a bit, then renaming a section of the .inf for a FirePro V card to be the name of my card, the HD 6870.
     
  14. Spektater

    Spektater New Member

    Messages:
    3
    Likes Received:
    0
    GPU:
    Radeon HD 7640G
    Hello!

    I apologice if this has been asked before, but I can't find the exact answer to this question:

    Should I install this driver pack for an old laptop with A8-4500M and Radeon HD 7640G (Non-GCN)?

    AFAIK, my options are:

    -Installing AMD's 15.7.1 (which I am not sure supports Non-GCN)

    -Installing AMD's regular 15.301.1901

    -Installing AMD's Beta 16.2.1 with 15.301.1901 version

    -Installing this Driver Pack you have generously provided.

    I am unsure about which are actually compatible with my system, and which would provide best performance/most efficency.

    Any light on the matter will be greatly appreciated!
     
  15. mirh

    mirh Active Member

    Messages:
    85
    Likes Received:
    1
    GPU:
    MSI HD 7750 1GB
    The decoder allegedly regressed badly (somehow somewhere), and that's why it was removed.
    Though I guess like results could differ if you have a beefy gpu on a potato cpu.
    If you care about games, at least first and foremost, I'd really recommend W7 on old fashioned hardware.
    Otherwise if you want linux, and you don't have access to dxvk.. While you wait wined3d to finally merge pba, you can try gallium nine.
    I had my kind of script here.
    Yes you should, especially if you use the incredibly broken 15.7.1 (vanilla 16.2.1 is only very slightly broken).
    If you have a laptop though, I'd rather recommend to find the latest working Leshcat driver.
     

  16. Spektater

    Spektater New Member

    Messages:
    3
    Likes Received:
    0
    GPU:
    Radeon HD 7640G
    I had never heard about Leshcat, will definitely give it a try! I am using vanilla 16.2.1, will try Leschat's 16.2.1, which seems to be the last he did before retiring.

    Thank you very much for the tip!
     
  17. sagael

    sagael Member

    Messages:
    42
    Likes Received:
    0
    GPU:
    7670m

    do you have the 7670m with dgpu?

    If so, does the 7670m with dual channel work for you?
     
  18. alexi

    alexi New Member

    Messages:
    1
    Likes Received:
    0
    GPU:
    6720G2
    What's wrong with hybrid graphics? I have a 6720G2 (A6-3400M) and everything seems to be fine. Or I don’t know something and I’d better go back to the drivers from windows 10? Once upon a time I saw friezes in an online video and only this mod became a salvation. Microsoft Catalog (20H2) installs version 15.201.1151.1008 of the driver. And now there seems to be no such slowdowns in the video, hmm... But the feeling as if in 16.101.x driver packs the quality is still better, is this possible? @user1 thank you for a great job!
    I'm sorry for my English.
     

    Attached Files:

    Last edited: Oct 25, 2020
  19. moriel5

    moriel5 New Member

    Messages:
    4
    Likes Received:
    0
    GPU:
    Radeon 5850 1GB
    Windows Update had suddenly tried pushing onto me a new update for my Radeon HD 6950.
    I had promptly blocked the update, and manually downloaded it with WUMT+Firefox, however I can't tell what version are the drivers.

    How do I verify this?

    If anyone wants the files, I am currently uploading the archive to SwissTransfer.

    Update: Here it is: https://www.swisstransfer.com/d/6a00e4dd-343e-4aaa-a060-bc6f34b473d0
     
    Last edited: Nov 12, 2020
  20. JACKAL HAWK

    JACKAL HAWK Active Member

    Messages:
    52
    Likes Received:
    6
    GPU:
    RADEON HD 6320 384mb
    Driver is from 2015 very old
     

Share This Page